### Virtual Method

# Msg Authorizer process_request

#### Declaration [src]

    void
    process_request (
      MsgAuthorizer* iface,
      SoupMessage* message
    )

#### Description [src]

Adds the necessary authorization to `message`. The type of `message` can be DELETE, GET and POST.

This method modifies `message` in place and is thread safe.

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.